Get federation sync log
Get the log of federation synchronization events for this project.
Get the log of federation synchronization events for this project.
Authorization
SymetryMLAuth HMAC-SHA256 signature-based authentication: requests are signed with
your secret key and sent with the Customer-ID, Sym-date,
Authorization, Content-MD5 and sym-version headers.
See SymetryML REST API Security
for the signature algorithm and a complete example.
In: header
Path Parameters
User/Customer identifier
Project identifier
Response Body
application/json
application/json
curl -X GET "https://example.com/c1/fedml/nbra_prj_iris/getSyncLog"{ "statusCode": 200, "statusString": "OK", "values": { "stringList": { "values": [ "{2026-07-17T19.20.28} fedProj rebuilt done name:[fed-a] id:[3] type:[com.rtlm.core.bets.DynamicBET] #peers:2 ms:9 time:2026-07-17T19.20 syncHash:NypkS7NjOO6SGpEi4Nd24NFWv47OahXFwyeBGKHio3k=, Merge PeerIDs [ (3008) (755) ]" ] } }}{ "statusCode": 500, "statusString": "Error Invalid project name / or not logged in.", "values": {}}Get federation invitation POST
Generate an invite that can be sent to a user so that they can join the federation. Functionally identical to `getEncrypted`.
Get federation group information GET
Get a snapshot of this project's federation state: group name, type, secret key, sync schedule, pulsing/error status, and peer info.